Resource

Incident Custom Field

Manage custom fields for your incident.

The Incident Custom Field Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Status200 Project in which this object belongs

  • Name
    name
    Type
    TextRequired
    Description

    Any friendly name of this object

  • Name
    description
    Type
    Long Text
    Description

    Friendly description of this custom field that will help you remember

  • Name
    customFieldType
    Type
    Custom Field Type
    Description

    Is this field Text, Number or Boolean?

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/incident-custom-field/get-list

List

This endpoint allows you to retrieve a paginated list of all your Incident Custom Field. By default, a maximum of ten Incident Custom Field are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/incident-custom-field/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "createdByUserId": true,
    "customFieldType": true,
    "description": true
  },
  "query": {
    "name": "Severity Level"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "376ef9a0-28fe-11f1-b591-3fdcef396aba",
      "name": "Severity Level",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUserId": "a3f2b1c0-d9e8-4f5a-8b7c-6d5e4f3a2b1c",
      "customFieldType": "Text",
      "description": "This field tracks the severity level of the incident (Minor, Major, Critical)"
    },
    {
      "_id": "376ef9a1-28fe-11f1-b591-3fdcef396aba",
      "name": "Severity Level",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUserId": "a3f2b1c0-d9e8-4f5a-8b7c-6d5e4f3a2b1c",
      "customFieldType": "Text",
      "description": "This field tracks the severity level of the incident (Minor, Major, Critical)"
    },
    {
      "_id": "376ef9a2-28fe-11f1-b591-3fdcef396aba",
      "name": "Severity Level",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUserId": "a3f2b1c0-d9e8-4f5a-8b7c-6d5e4f3a2b1c",
      "customFieldType": "Text",
      "description": "This field tracks the severity level of the incident (Minor, Major, Critical)"
    }
  ]
}
GETorPOST/api/incident-custom-field/:id/get-item

Get item by ID

This endpoint allows you to retrieve Incident Custom Field by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/incident-custom-field/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "createdByUserId": true,
    "customFieldType": true,
    "description": true
  }
}

Response

{
  "_id": "376ef9a0-28fe-11f1-b591-3fdcef396aba",
  "name": "Severity Level",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUserId": "a3f2b1c0-d9e8-4f5a-8b7c-6d5e4f3a2b1c",
  "customFieldType": "Text",
  "description": "This field tracks the severity level of the incident (Minor, Major, Critical)"
}
POST/api/incident-custom-field/count

Count

This endpoint allows you to retrieve the count of all your Incident Custom Field.

Optional Request Body

Count Request

POST
/api/incident-custom-field/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "name": "Severity Level"
  }
}

Response

{
  "count": 107
}
POST/api/incident-custom-field

Create Incident Custom Field

This endpoint allows you to create a new object.

Create Request

POST
/api/incident-custom-field
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "Severity Level",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "createdByUserId": "a3f2b1c0-d9e8-4f5a-8b7c-6d5e4f3a2b1c",
    "customFieldType": "Text",
    "description": "This field tracks the severity level of the incident (Minor, Major, Critical)"
  }
}

Response

{
  "_id": "376ef9a0-28fe-11f1-b591-3fdcef396aba",
  "name": "Severity Level",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUserId": "a3f2b1c0-d9e8-4f5a-8b7c-6d5e4f3a2b1c",
  "customFieldType": "Text",
  "description": "This field tracks the severity level of the incident (Minor, Major, Critical)"
}
PUT/api/incident-custom-field/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/incident-custom-field/:id/update-item
GET/api/incident-custom-field/:id/update-item

Update Request

PUT
/api/incident-custom-field/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "Severity Level",
    "description": "This field tracks the severity level of the incident (Minor, Major, Critical)"
  }
}

Response

{}
DELETE/api/incident-custom-field/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/incident-custom-field/:id/delete-item
GET/api/incident-custom-field/:id/delete-item

Delete Request

DELETE
/api/incident-custom-field/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Incident Custom Field

  • Project Owner
  • Project Admin
  • Project Member
  • Read Incident Custom Field
  • Read All Project Resources

Create Permissions

Required to create Incident Custom Field

  • Project Owner
  • Project Admin
  • Create Incident Custom Field

Update Permissions

Required to update Incident Custom Field

  • Project Owner
  • Project Admin
  • Edit Incident Custom Field

Delete Permissions

Required to delete Incident Custom Field

  • Project Owner
  • Project Admin
  • Delete Incident Custom Field